from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XGraphicStorageHandler(XInterface, Protocol):
    def loadGraphic(self, aURL: str) -> XGraphic: ...
    def loadGraphicFromOutputStream(self, xOutputStream: XOutputStream) -> XGraphic: ...
    def saveGraphic(self, xGraphic: XGraphic) -> str: ...
    def saveGraphicByName(self, xGraphic: XGraphic, savedMimeType: str, aRequestedName: str) -> str: ...
    def createInputStream(self, xGraphic: XGraphic) -> XInputStream: ...
